This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198613 - Review Request: compat-libgda - gnome database access library
Review Request: compat-libgda - gnome database access library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 199941 199943 201437
  Show dependency treegraph
 
Reported: 2006-07-12 06:37 EDT by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 15:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Updated compat-libgda spec file. (9.02 KB, application/octet-stream)
2006-09-11 13:22 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Denis Leroy 2006-07-12 06:37:56 EDT
Spec URL: http://www.poolshark.org/src/compat-libgda.spec
SRPM URL: http://www.poolshark.org/src/compat-libgda-1.2.3-1.src.rpm

Description: 

This package provides the last stable version of libgda, from the 1.2.x tree (libgda-2.so). Since FC-5, fedora-extras has moved on to the unstable versions (1.3.x and 1.9.x), which provide libgda-3.so.

The main goal of this compat package is to package Glom, the much talked-about database design tool. Glom is based on libgdamm (already part of Extras though not currently built), which in turn requires libgda-2.so. Once built, we will be able to revive libgdamm then finally submit Glom itself for review (it will also need gnome-python2-gda).

This compat package is somewhat minimalist so as to not create conflicts with the libgda 1.9.x, and currently only enables the postgresQL module by default (because it's the only one used by Glom), however we can enable other modules in the future if some package needs it (the mysql module compiles fine with mysqlclient10).
Comment 1 Murray Cumming 2006-07-12 09:32:38 EDT
Thanks Denis. As the maintainer of Glom, libgdamm, and pygda, and a contributor
to libgda, I'd much prefer of course that Fedora just revert their libgda
package back to the stable API. It seems silly to do all this work just to
restore a stable API. Nobody should be using the unstable API.
Comment 2 Denis Leroy 2006-07-24 05:43:31 EDT
Fixed issue with compat-libgda configuration directory.

Spec: http://www.poolshark.org/src/compat-libgda.spec
SRPM: http://www.poolshark.org/src/compat-libgda-1.2.3-2.src.rpm
Comment 3 Tom "spot" Callaway 2006-09-11 13:20:43 EDT
OK, I went to review this one, and found a few really minor issues that I fixed.
If you're ok with the minor changes, this package is approved.

Specifically, I added an xbase conditional (since xbase is in FE), enabled
everything that could be built by default in Fedora, and fixed the libraries so
that they get handled properly by debuginfo. Also, I changed Source0 so it
points to a URL. Last, I fixed the License tags for the provider packages so
that they were GPL (only the core libgda libs are LGPL) and included the LGPL
text in the main package as a %doc.

REVIEW
=======
- rpmlint checks return:
W: compat-libgda-devel no-documentation
W: compat-gda-mysql no-documentation
W: compat-gda-odbc no-documentation
W: compat-gda-postgres no-documentation
W: compat-gda-sqlite no-documentation
W: compat-gda-ldap no-documentation
W: compat-gda-xbase no-documentation

All ok.

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- locales grabbed with find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED (assuming you use my spec)
Comment 4 Tom "spot" Callaway 2006-09-11 13:22:10 EDT
Created attachment 136022 [details]
Updated compat-libgda spec file.
Comment 5 Denis Leroy 2006-09-11 13:49:33 EDT
Thanks Tom, I'll use your spec file.

Of course now that this package is approved, I'm willing to bet Gnome will
release libgda 2.0 tomorrow :-)
Comment 6 Denis Leroy 2006-09-11 15:01:25 EDT
Built for RawHide. You should be able to rebuild libgdamm now.
Comment 7 Tom "spot" Callaway 2006-09-11 16:02:16 EDT
Please also build for FC-5. :)

Note You need to log in before you can comment on or make changes to this bug.